commit f20025b (HEAD)
Author:     Noah Misch <noah@leadboat.com>
AuthorDate: Wed Aug 12 01:43:17 2015 -0400
Commit:     Noah Misch <noah@leadboat.com>
CommitDate: Wed Aug 12 01:43:17 2015 -0400

    Encoding PG_UHC is code page 949.
    
    This fixes presentation of non-ASCII messages to the Windows event log
    and console in rare cases involving Korean locale.  Processes like the
    postmaster and checkpointer, but not processes attached to databases,
    were affected.  Back-patch to 9.4, where MessageEncoding was introduced.
    The problem exists in all supported versions, but this change has no
    effect in the absence of the code recognizing PG_UHC MessageEncoding.
    
    Noticed while investigating bug #13427 from Dmitri Bourlatchkov.

diff --git a/src/backend/utils/mb/encnames.c b/src/backend/utils/mb/encnames.c
index 94334c4..11099b8 100644
--- a/src/backend/utils/mb/encnames.c
+++ b/src/backend/utils/mb/encnames.c
@@ -344,7 +344,7 @@ const pg_enc2name pg_enc2name_tbl[] =
 	DEF_ENC2NAME(SJIS, 932),
 	DEF_ENC2NAME(BIG5, 950),
 	DEF_ENC2NAME(GBK, 936),
-	DEF_ENC2NAME(UHC, 0),
+	DEF_ENC2NAME(UHC, 949),
 	DEF_ENC2NAME(GB18030, 54936),
 	DEF_ENC2NAME(JOHAB, 0),
 	DEF_ENC2NAME(SHIFT_JIS_2004, 932)
